﻿using System;
using SPS.ServiceCore.API.ServiceModel.Operations;
using ServiceStack.Common;

namespace SPS.ServiceCore.API.ServiceInterface
{
	public class LoginService : SPSServiceBase<Login>
	{
		public override object OnPost(Login request)
		{
			if (request.ApiKey.IsNullOrEmpty())
				throw new ArgumentNullException("ApiKey");
			if (request.UserName.IsNullOrEmpty())
				throw new ArgumentNullException("UserName");

			var authSession = base.AuthProvider.CreateSession(request.UserName, request.ApiKey);

			return new LoginResponse
			{
				SessionId = authSession.SessionId,
			};
		}
	}
}