﻿using System;
using System.Runtime.Serialization;
using SPS.ServiceCore.API.ServiceInterface;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;

namespace SPS.ServiceCore.API.ServiceModel.Operations
{
    [DataContract]
    [RestService("/protectedclient")]
	[CustomAuth("SuperUser")]
	public class ProtectedClientType : IRequiresAuthentication
	{
		[DataMember]
		public Guid SessionId { get; set; }
	}

    [DataContract]
    public class ProtectedClientTypeResponse : IHasResponseStatus
    {
		public ProtectedClientTypeResponse()
        {
            this.ResponseStatus = new ResponseStatus();
        }

		[DataMember]
		public string Result { get; set; }

        [DataMember]
        public ResponseStatus ResponseStatus { get; set; }
    }
}